package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 刷新令牌请求DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Accessors(chain = true)
public class RefreshTokenRequestDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 开发者应用Key
     * 示例值: 0ecde8631431a5ed6b3e7368afbabdadss
     */
    private String app_key;

    /**
     * 当前请求的时间戳(单位:秒)
     * 示例值: 1577771730
     */
    private String timestamp;

    /**
     * 授权类型
     * 固定值: refresh_token
     */
    private String grant_type = "refresh_token";

    /**
     * 交互数据的编码
     * 固定值: utf-8
     */
    private String charset = "utf-8";

    /**
     * 更新令牌
     * 示例值: eb1964a9d142423a9f0de88b97bb38fc
     */
    private String refresh_token;

    /**
     * 授权范围
     * 固定值: all
     */
    private String scope = "all";

    /**
     * 请求的数字签名
     * 通过所有请求参数通过摘要生成，保证请求参数没有被篡改
     * 示例值: 0ecde8631431a5ed6b3e7368afbabdaoas
     */
    private String sign;
}
