package com.fs.his.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsStoreOrderDf;

/**
 * 订单代服管家Service接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface IFsStoreOrderDfService extends IService<FsStoreOrderDf>{
    /**
     * 查询订单代服管家
     * 
     * @param orderId 订单代服管家主键
     * @return 订单代服管家
     */
    FsStoreOrderDf selectFsStoreOrderDfByOrderId(Long orderId);

    /**
     * 查询订单代服管家列表
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 订单代服管家集合
     */
    List<FsStoreOrderDf> selectFsStoreOrderDfList(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 新增订单代服管家
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int insertFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 修改订单代服管家
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int updateFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 批量删除订单代服管家
     * 
     * @param orderIds 需要删除的订单代服管家主键集合
     * @return 结果
     */
    int deleteFsStoreOrderDfByOrderIds(Long[] orderIds);

    /**
     * 删除订单代服管家信息
     * 
     * @param orderId 订单代服管家主键
     * @return 结果
     */
    int deleteFsStoreOrderDfByOrderId(Long orderId);
}
